//<viewToolMentor.inc>

/*
    IBMPractices/SE View Tool Mentor
    
    Version: 1.3
    Author:  BW    
*/

/*
CHANGE LOG

When		Who	What
--------------------------------------------------------------------------------------------------
20080918	GSR	Modified for use with IBMPractices/SE (new version 1.3)
20070711	BW	Converted from OpenUP to IBMPractices/ESW (new version: 1.1)
20070621	RJH	Refactored & reorganised code, abstracted refs to specific tool mentors
*/

//////////////////////////////////////
// Pragmas

pragma runLim, 0
#include <project/IBMPractices/IBMPracticesglobals.inc>


//////////////////////////////////////
// Local declarations / initialisation

string projectName          = strEmpty
string processWebsiteURL    = strEmpty
string confFileName         = strEmpty

//////////////////////////////////////
// Auxiliary Functions

void viewToolMentor()
{
	if (confFileExists (confFileName, confSystem)) then
	{
		ConfStream inputStream = confRead (confFileName, confSystem)
		inputStream >> processWebsiteURL
		close inputStream
		
		processWebsiteURL = processWebsiteURL toolMentorGUID strEmpty
		

		activateURL(processWebsiteURL)
	}
	else
	{
		ack "No Process Website has been set for the " projectName " Project."
	}
}


//////////////////////////////////////
// Main Program

if(!null (current Project))
{	
	projectName = name (current Project)
}
else
{
	ack "You must be inside a Project to run this utility."
	halt
}

confFileName = projectName "_Process_Website" strEmpty
          
viewToolMentor()